MATCHER(1e)

NAME
matcher - Waterman-Eggert local alignment of two sequences

SYNOPSIS

matcher -asequence sequence -bsequence sequence [-datafile matrix] [-alternatives integer] [-gapopen integer] [-gapextend integer] -outfile align

matcher -help

DESCRIPTION

matcher is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Alignment:Local" command group(s).

OPTIONS

  Input section

-asequence sequence

-bsequence sequence

-datafile matrix
    This is the scoring matrix file used when comparing sequences. By default it is the file 'EBLOSUM62' (for proteins) or the file 'EDNAFULL' (for nucleic sequences). These files are found in the 'data' directory of the EMBOSS installation.

  Additional section

-alternatives integer
    This sets the number of alternative matches output. By default only the highest scoring alignment is shown. A value of 2 gives you other reasonable alignments. In some cases, for example multidomain proteins of cDNA and genomic DNA comparisons, there may be other interesting and significant alignments. Default value: 1

-gapopen integer
    The gap penalty is the score taken away when a gap is created. The best value depends on the choice of comparison matrix. The default value of 14 assumes you are using the EBLOSUM62 matrix for protein sequences, or a value of 16 and the EDNAFULL matrix for nucleotide sequences. Default value: @($(acdprotein)? 14 : 16)

-gapextend integer
    The gap length, or gap extension, penalty is added to the standard gap penalty for each base or residue in the gap. This is how long gaps are penalized. Usually you will expect a few long gaps rather than many short gaps, so the gap extension penalty should be lower than the gap penalty. An exception is where one or both sequences are single reads with possible sequencing errors in which case you would expect many single base gaps. You can get this result by setting the gap penalty to zero (or very low) and using the gap extension penalty to control gap scoring. Default value: @($(acdprotein)? 4 : 4)

  Output section

-outfile align

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

matcher is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.